Bug 869669 - salt doesn't correctly determin status of services when using systemd
salt doesn't correctly determin status of services when using systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: salt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 10:15 EDT by Jeffrey C. Ollie
Modified: 2012-12-20 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:04:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix problem (1.50 KB, patch)
2012-10-24 10:15 EDT, Jeffrey C. Ollie
no flags Details | Diff

  None (edit)
Description Jeffrey C. Ollie 2012-10-24 10:15:03 EDT
Created attachment 632814 [details]
patch to fix problem

salt currently looks for a "MainPID" to determine if a systemd service is running.  Not all services have a main PID, even if they are otherwise running.  Switch to using "systemctl is-active" to determine service status.

Upstream pull request at:

https://github.com/saltstack/salt/pull/2335
Comment 1 Fedora Update System 2012-10-24 14:13:33 EDT
salt-0.10.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/salt-0.10.4-1.fc18
Comment 2 Fedora Update System 2012-10-24 14:14:33 EDT
salt-0.10.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/salt-0.10.4-1.fc17
Comment 3 Fedora Update System 2012-10-24 14:15:14 EDT
salt-0.10.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/salt-0.10.4-1.fc16
Comment 4 Fedora Update System 2012-10-26 15:35:55 EDT
Package salt-0.10.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing salt-0.10.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16916/salt-0.10.4-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:04:17 EST
salt-0.10.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.